Skip to main content
GET
/
webhook_events
List webhook events
curl --request GET \
  --url https://api.crevio.co/v1/webhook_events \
  --header 'Authorization: <api-key>'
{
  "object": "list",
  "data": [
    {
      "object": "<string>",
      "id": "<string>",
      "event_type": "<string>",
      "status": "pending",
      "created_at": "2023-11-07T05:31:56Z",
      "data": {},
      "api_version": "<string>",
      "webhook_endpoint": "<string>",
      "request": {}
    }
  ],
  "has_more": true,
  "url": "<string>"
}

Authorizations

Authorization
string
header
required

API key in the format: Bearer {api_token}

Query Parameters

event_type
string

Filter by event type

status
enum<string>

Filter by delivery status

Available options:
pending,
delivered,
failed
starting_after
string

Cursor for pagination — the ID of the last item in the previous page

limit
integer
default:20

Items per page

Required range: 1 <= x <= 100

Response

List of webhook events

object
enum<string>
required
Available options:
list
data
object[]
required
has_more
boolean
required
url
string
required